Class | Ramaze::Bin::Status
In: | lib/ramaze/bin/status.rb
Parent: | Object

The status command can be used to show the details, such as the PID and the CPU usage, of a running Ramaze application.

Usage:

       ramaze status
       ramaze status /home/projects/ramaze/ramaze.pid

@author Yorick Peterse @author TJ Vanderpoel @since 21-07-2011

### Methods

new run

### Included Modules

Ramaze::Bin::Helper

### Constants

Description | = | 'Shows the status of a running Ramaze application' |  | Description of this command, displayed in the glboal help message.
Banner | = | <<-TXT.strip Shows the status of a running Ramaze application. If a PID is specified this command will use that PID, otherwise it will try to look for a PID in the current directory. Usage: ramaze status [PID] [OPTIONS] Example: ramaze status blog/blog.pid TXT .strip |  | The banner of this command, displayed when the -h or —help option is specified.
Statistics | = | <<-TXT.strip Ramaze is running! Name: %s Command Line: %s Virtual Size: %s Started: %s Exec Path: %s Status: %s TXT .strip |  | String containing the message that‘s used to display all statistics

### Public Class methods

new()

Creates a new instance of the command and sets all the option parser options.

@author Yorick Peterse @since 21-07-2011

### Public Instance methods

run(argv = [])

Runs the command based on the given command line arguments.

@author Yorick Peterse @author TJ Vanderpoel @since 21-07-2011 @param [Array] argv Array containing all teh command line arguments.

[Validate]